Create an order - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Create an order

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/order/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "orderNumber": "309019176",
  "channelId": "12",
  "statusCode": "ORDER_CREATED",
  "items": [\
    {\
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "lineItemNumber": 1,\
      "itemId": "1234",\
      "sku": "P1234",\
      "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "channelId": "WHBM",\
      "segment": "P1234",\
      "vendorId": "P1234",\
      "title": "Item",\
      "type": "WEB_SHIP",\
      "subType": "Borderfree",\
      "backorder": true,\
      "orderedQuantity": 60,\
      "uom": "EA",\
      "itemUnitPrice": 10,\
      "itemSubTotal": 600,\
      "itemFeeTotal": 5,\
      "itemDiscountsTotal": 55,\
      "itemTaxTotal": 5,\
      "itemTotal": 555,\
      "currency": "USD",\
      "employeeId": "5345HJH",\
      "associateId": "5345HJH",\
      "fees": [\
        {\
          "type": "tax",\
          "value": 34.56\
        }\
      ],\
      "taxCode": "FR01",\
      "taxDetail": [\
        {\
          "type": "tax",\
          "value": 34.56\
        }\
      ],\
      "discounts": [\
        {\
          "quantity": 2,\
          "amount": 2.4,\
          "unit": "AMOUNT_OFF",\
          "value": 2,\
          "promoId": "HNY2022",\
          "promoCode": "HNY2022",\
          "promoTitle": "Happy New Year",\
          "type": "promotion"\
        }\
      ],\
      "attributes": {\
        "isDonation": true,\
        "isGiftCard": false,\
        "isFinalSale": false,\
        "returnsLink": true\
      },\
      "notes": [\
        {\
          "timestamp": "2022-05-12T09:30:31.198Z",\
          "user": "62272e917b12209e68751d94",\
          "notes": "Extra information to be provided"\
        }\
      ]\
    }\
  ],
  "shipInfo": [\
    {\
      "shipToId": "5349b4ddd2781d08c09890f4",\
      "taxCode": "FR01",\
      "locationNum": "123",\
      "pickup": [\
        {\
          "name": {\
            "first": "John",\
            "middle": "Middle",\
            "last": "Doe"\
          },\
          "email": "john123@gmail.com",\
          "phone": {\
            "number": "55555555555",\
            "type": "MOBILE"\
          },\
          "pickupType": "Primary"\
        }\
      ],\
      "taxDetail": [\
        {\
          "type": "tax",\
          "value": 34.56\
        }\
      ],\
      "shipMethod": "Express Delivery",\
      "shipToType": "SHIP_TO_ADDRESS",\
      "estimatedShipDate": "2022-05-12T09:30:31.198Z",\
      "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",\
      "shipToPrice": 20,\
      "shipToDiscount": 12.6,\
      "shipToTaxTotal": 12.6,\
      "shipmentInstructions": "User instructions",\
      "attributes": {\
        "isOpenBox": false,\
        "isOTPDElivery": true\
      }\
    }\
  ],
  "orderDate": "2022-05-12T09:30:31.198Z",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "type": "WEB",
  "subType": "International",
  "employeeId": "43278",
  "retail": {
    "locationNum": 123,
    "cashierId": "C-123",
    "registerId": "113",
    "transactionId": "R123-431-1133-2129"
  },
  "orderSubTotal": 123.45,
  "orderDiscount": 1.23,
  "feeTotal": 12.34,
  "taxTotal": 12.34,
  "orderTotal": 146.9,
  "currency": "USD",
  "statusDescription": "Order created",
  "attributes": {},
  "fees": [\
    {\
      "type": "shipping",\
      "value": 34.56,\
      "invoiceValue": 34.56\
    }\
  ],
  "discounts": [\
    {\
      "quantity": 2,\
      "amount": 2.4,\
      "unit": "AMOUNT_OFF",\
      "value": 2,\
      "promoId": "HNY2022",\
      "promoCode": "HNY2022",\
      "promoTitle": "Happy New Year",\
      "type": "promotion"\
    }\
  ],
  "customer": {
    "name": {
      "first": "John",
      "middle": "Middle",
      "last": "Doe"
    },
    "email": "john@fabric.inc",
    "phone": {
      "number": "55555555555",
      "type": "MOBILE"
    },
    "userId": "62272e917b12209e68751d94",
    "accountId": "62272e917b12209e68751d94",
    "employeeId": "62272e917b12209e68751d94",
    "company": "fabric"
  },
  "payments": [\
    {\
      "paymentCounter": 1,\
      "paymentDate": "2022-01-27T16:15:58-05:00",\
      "billToId": "62272e917b12209e68751d94",\
      "paymentIdentifier": {\
        "cardIdentifier": "3456",\
        "expirationYear": "2029",\
        "expirationMonth": "02",\
        "paymentId": "62272e917b12209e68751d94",\
        "fabricPaymentReference": "fab3456"\
      },\
      "paymentProvider": "stripe",\
      "paymentToken": {\
        "token": "pi_34tr6787rt",\
        "paymentType": "VISA"\
      },\
      "paymentMethod": "CREDIT_CARD",\
      "authAmount": 123.45,\
      "chargedAmount": 60,\
      "currency": "USD",\
      "conversion": 1,\
      "paymentStatus": "AUTHORIZED",\
      "authExpirationDate": "2022-01-27T16:15:58-05:00",\
      "attributes": {\
        "expirationMonth": 12\
      }\
    }\
  ],
  "notes": [\
    {\
      "timestamp": "2022-05-12T09:30:31.198Z",\
      "user": "62272e917b12209e68751d94",\
      "notes": "Extra information to be provided"\
    }\
  ]
}
'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/"

payload = {
    "orderNumber": "309019176",
    "channelId": "12",
    "statusCode": "ORDER_CREATED",
    "items": [\
        {\
            "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
            "lineItemNumber": 1,\
            "itemId": "1234",\
            "sku": "P1234",\
            "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
            "channelId": "WHBM",\
            "segment": "P1234",\
            "vendorId": "P1234",\
            "title": "Item",\
            "type": "WEB_SHIP",\
            "subType": "Borderfree",\
            "backorder": True,\
            "orderedQuantity": 60,\
            "uom": "EA",\
            "itemUnitPrice": 10,\
            "itemSubTotal": 600,\
            "itemFeeTotal": 5,\
            "itemDiscountsTotal": 55,\
            "itemTaxTotal": 5,\
            "itemTotal": 555,\
            "currency": "USD",\
            "employeeId": "5345HJH",\
            "associateId": "5345HJH",\
            "fees": [\
                {\
                    "type": "tax",\
                    "value": 34.56\
                }\
            ],\
            "taxCode": "FR01",\
            "taxDetail": [\
                {\
                    "type": "tax",\
                    "value": 34.56\
                }\
            ],\
            "discounts": [\
                {\
                    "quantity": 2,\
                    "amount": 2.4,\
                    "unit": "AMOUNT_OFF",\
                    "value": 2,\
                    "promoId": "HNY2022",\
                    "promoCode": "HNY2022",\
                    "promoTitle": "Happy New Year",\
                    "type": "promotion"\
                }\
            ],\
            "attributes": {\
                "isDonation": True,\
                "isGiftCard": False,\
                "isFinalSale": False,\
                "returnsLink": True\
            },\
            "notes": [\
                {\
                    "timestamp": "2022-05-12T09:30:31.198Z",\
                    "user": "62272e917b12209e68751d94",\
                    "notes": "Extra information to be provided"\
                }\
            ]\
        }\
    ],
    "shipInfo": [\
        {\
            "shipToId": "5349b4ddd2781d08c09890f4",\
            "taxCode": "FR01",\
            "locationNum": "123",\
            "pickup": [\
                {\
                    "name": {\
                        "first": "John",\
                        "middle": "Middle",\
                        "last": "Doe"\
                    },\
                    "email": "john123@gmail.com",\
                    "phone": {\
                        "number": "55555555555",\
                        "type": "MOBILE"\
                    },\
                    "pickupType": "Primary"\
                }\
            ],\
            "taxDetail": [\
                {\
                    "type": "tax",\
                    "value": 34.56\
                }\
            ],\
            "shipMethod": "Express Delivery",\
            "shipToType": "SHIP_TO_ADDRESS",\
            "estimatedShipDate": "2022-05-12T09:30:31.198Z",\
            "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",\
            "shipToPrice": 20,\
            "shipToDiscount": 12.6,\
            "shipToTaxTotal": 12.6,\
            "shipmentInstructions": "User instructions",\
            "attributes": {\
                "isOpenBox": False,\
                "isOTPDElivery": True\
            }\
        }\
    ],
    "orderDate": "2022-05-12T09:30:31.198Z",
    "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
    "type": "WEB",
    "subType": "International",
    "employeeId": "43278",
    "retail": {
        "locationNum": 123,
        "cashierId": "C-123",
        "registerId": "113",
        "transactionId": "R123-431-1133-2129"
    },
    "orderSubTotal": 123.45,
    "orderDiscount": 1.23,
    "feeTotal": 12.34,
    "taxTotal": 12.34,
    "orderTotal": 146.9,
    "currency": "USD",
    "statusDescription": "Order created",
    "attributes": {},
    "fees": [\
        {\
            "type": "shipping",\
            "value": 34.56,\
            "invoiceValue": 34.56\
        }\
    ],
    "discounts": [\
        {\
            "quantity": 2,\
            "amount": 2.4,\
            "unit": "AMOUNT_OFF",\
            "value": 2,\
            "promoId": "HNY2022",\
            "promoCode": "HNY2022",\
            "promoTitle": "Happy New Year",\
            "type": "promotion"\
        }\
    ],
    "customer": {
        "name": {
            "first": "John",
            "middle": "Middle",
            "last": "Doe"
        },
        "email": "john@fabric.inc",
        "phone": {
            "number": "55555555555",
            "type": "MOBILE"
        },
        "userId": "62272e917b12209e68751d94",
        "accountId": "62272e917b12209e68751d94",
        "employeeId": "62272e917b12209e68751d94",
        "company": "fabric"
    },
    "payments": [\
        {\
            "paymentCounter": 1,\
            "paymentDate": "2022-01-27T16:15:58-05:00",\
            "billToId": "62272e917b12209e68751d94",\
            "paymentIdentifier": {\
                "cardIdentifier": "3456",\
                "expirationYear": "2029",\
                "expirationMonth": "02",\
                "paymentId": "62272e917b12209e68751d94",\
                "fabricPaymentReference": "fab3456"\
            },\
            "paymentProvider": "stripe",\
            "paymentToken": {\
                "token": "pi_34tr6787rt",\
                "paymentType": "VISA"\
            },\
            "paymentMethod": "CREDIT_CARD",\
            "authAmount": 123.45,\
            "chargedAmount": 60,\
            "currency": "USD",\
            "conversion": 1,\
            "paymentStatus": "AUTHORIZED",\
            "authExpirationDate": "2022-01-27T16:15:58-05:00",\
            "attributes": { "expirationMonth": 12 }\
        }\
    ],
    "notes": [\
        {\
            "timestamp": "2022-05-12T09:30:31.198Z",\
            "user": "62272e917b12209e68751d94",\
            "notes": "Extra information to be provided"\
        }\
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    orderNumber: '309019176',
    channelId: '12',
    statusCode: 'ORDER_CREATED',
    items: [\
      {\
        lineItemId: 'b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569',\
        lineItemNumber: 1,\
        itemId: '1234',\
        sku: 'P1234',\
        shipToId: 'b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569',\
        channelId: 'WHBM',\
        segment: 'P1234',\
        vendorId: 'P1234',\
        title: 'Item',\
        type: 'WEB_SHIP',\
        subType: 'Borderfree',\
        backorder: true,\
        orderedQuantity: 60,\
        uom: 'EA',\
        itemUnitPrice: 10,\
        itemSubTotal: 600,\
        itemFeeTotal: 5,\
        itemDiscountsTotal: 55,\
        itemTaxTotal: 5,\
        itemTotal: 555,\
        currency: 'USD',\
        employeeId: '5345HJH',\
        associateId: '5345HJH',\
        fees: [{type: 'tax', value: 34.56}],\
        taxCode: 'FR01',\
        taxDetail: [{type: 'tax', value: 34.56}],\
        discounts: [\
          {\
            quantity: 2,\
            amount: 2.4,\
            unit: 'AMOUNT_OFF',\
            value: 2,\
            promoId: 'HNY2022',\
            promoCode: 'HNY2022',\
            promoTitle: 'Happy New Year',\
            type: 'promotion'\
          }\
        ],\
        attributes: {isDonation: true, isGiftCard: false, isFinalSale: false, returnsLink: true},\
        notes: [\
          {\
            timestamp: '2022-05-12T09:30:31.198Z',\
            user: '62272e917b12209e68751d94',\
            notes: 'Extra information to be provided'\
          }\
        ]\
      }\
    ],
    shipInfo: [\
      {\
        shipToId: '5349b4ddd2781d08c09890f4',\
        taxCode: 'FR01',\
        locationNum: '123',\
        pickup: [\
          {\
            name: {first: 'John', middle: 'Middle', last: 'Doe'},\
            email: 'john123@gmail.com',\
            phone: {number: '55555555555', type: 'MOBILE'},\
            pickupType: 'Primary'\
          }\
        ],\
        taxDetail: [{type: 'tax', value: 34.56}],\
        shipMethod: 'Express Delivery',\
        shipToType: 'SHIP_TO_ADDRESS',\
        estimatedShipDate: '2022-05-12T09:30:31.198Z',\
        estimatedDeliveryDate: '2022-05-12T09:30:31.198Z',\
        shipToPrice: 20,\
        shipToDiscount: 12.6,\
        shipToTaxTotal: 12.6,\
        shipmentInstructions: 'User instructions',\
        attributes: {isOpenBox: false, isOTPDElivery: true}\
      }\
    ],
    orderDate: '2022-05-12T09:30:31.198Z',
    cartId: 'b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569',
    type: 'WEB',
    subType: 'International',
    employeeId: '43278',
    retail: {
      locationNum: 123,
      cashierId: 'C-123',
      registerId: '113',
      transactionId: 'R123-431-1133-2129'
    },
    orderSubTotal: 123.45,
    orderDiscount: 1.23,
    feeTotal: 12.34,
    taxTotal: 12.34,
    orderTotal: 146.9,
    currency: 'USD',
    statusDescription: 'Order created',
    attributes: {},
    fees: [{type: 'shipping', value: 34.56, invoiceValue: 34.56}],
    discounts: [\
      {\
        quantity: 2,\
        amount: 2.4,\
        unit: 'AMOUNT_OFF',\
        value: 2,\
        promoId: 'HNY2022',\
        promoCode: 'HNY2022',\
        promoTitle: 'Happy New Year',\
        type: 'promotion'\
      }\
    ],
    customer: {
      name: {first: 'John', middle: 'Middle', last: 'Doe'},
      email: 'john@fabric.inc',
      phone: {number: '55555555555', type: 'MOBILE'},
      userId: '62272e917b12209e68751d94',
      accountId: '62272e917b12209e68751d94',
      employeeId: '62272e917b12209e68751d94',
      company: 'fabric'
    },
    payments: [\
      {\
        paymentCounter: 1,\
        paymentDate: '2022-01-27T16:15:58-05:00',\
        billToId: '62272e917b12209e68751d94',\
        paymentIdentifier: {\
          cardIdentifier: '3456',\
          expirationYear: '2029',\
          expirationMonth: '02',\
          paymentId: '62272e917b12209e68751d94',\
          fabricPaymentReference: 'fab3456'\
        },\
        paymentProvider: 'stripe',\
        paymentToken: {token: 'pi_34tr6787rt', paymentType: 'VISA'},\
        paymentMethod: 'CREDIT_CARD',\
        authAmount: 123.45,\
        chargedAmount: 60,\
        currency: 'USD',\
        conversion: 1,\
        paymentStatus: 'AUTHORIZED',\
        authExpirationDate: '2022-01-27T16:15:58-05:00',\
        attributes: {expirationMonth: 12}\
      }\
    ],
    notes: [\
      {\
        timestamp: '2022-05-12T09:30:31.198Z',\
        user: '62272e917b12209e68751d94',\
        notes: 'Extra information to be provided'\
      }\
    ]
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

400

404

500

{
  "orderNumber": "309019176",
  "channelId": "12",
  "statusCode": "ORDER_CREATED",
  "items": [\
    {\
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "lineItemNumber": 1,\
      "itemId": "1234",\
      "sku": "P1234",\
      "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "channelId": "WHBM",\
      "segment": "P1234",\
      "vendorId": "P1234",\
      "title": "Item",\
      "type": "WEB_SHIP",\
      "subType": "Borderfree",\
      "backorder": true,\
      "orderedQuantity": 60,\
      "backOrderedQuantity": 10,\
      "pendingShippedQuantity": 10,\
      "pendingShippedBackOrderQuantity": 10,\
      "shippedQuantity": 10,\
      "deliveredQuantity": 10,\
      "invoiceQuantity": 10,\
      "cancelledQuantity": 10,\
      "pendingReturnQuantity": 10,\
      "processingReturnQuantity": 10,\
      "rejectedReturnQuantity": 10,\
      "returnedQuantity": 10,\
      "reshippedQuantity": 10,\
      "uom": "EA",\
      "itemUnitPrice": 10,\
      "itemSubTotal": 600,\
      "originalItemSubTotal": 600,\
      "itemFeeTotal": 5,\
      "originalFeeTotal": 5,\
      "itemShippingTotal": 5,\
      "originalShippingTotal": 5,\
      "appeasementTotal": 5.5,\
      "itemDiscountsTotal": 55,\
      "originalDiscounts": 55,\
      "itemTaxTotal": 5,\
      "originalTaxTotal": 555,\
      "itemTotal": 555,\
      "originalItemTotal": 555,\
      "outstandingItemTotal": 555,\
      "originalOutstandingItemTotal": 555,\
      "invoiceTotal": 555,\
      "currency": "USD",\
      "employeeId": "5345HJH",\
      "associateId": "5345HJH",\
      "fees": [\
        {\
          "type": "tax",\
          "value": 34.56,\
          "invoiceQuantity": 34,\
          "refundAmount": 10.4,\
          "quantity": 12\
        }\
      ],\
      "appeasements": [\
        {\
          "appeasementCounter": 1,\
          "reasonCode": "Incorrect item",\
          "subReasonCode": "Late shipping",\
          "value": 34.56,\
          "invoiceValue": 34.56,\
          "payments": [\
            {\
              "paymentCounter": 1,\
              "refundAmount": 40\
            }\
          ]\
        }\
      ],\
      "returns": [\
        {\
          "shipmentId": "12353543",\
          "shipmentLineItemId": "2412341",\
          "shipmentQuantity": 1,\
          "refundAmount": 11.29,\
          "invoicedAmount": 11.29,\
          "returnsCreatedAt": "2022-09-14T14:07:36.861Z"\
        }\
      ],\
      "taxCode": "FR01",\
      "taxDetail": [\
        {\
          "type": "tax",\
          "value": 34.56\
        }\
      ],\
      "discounts": [\
        {\
          "quantity": 2,\
          "amount": 2.4,\
          "unit": "AMOUNT_OFF",\
          "value": 2,\
          "promoId": "HNY2022",\
          "promoCode": "HNY2022",\
          "promoTitle": "Happy New Year",\
          "type": "promotion",\
          "invoiceQuantity": 2,\
          "returnQuantity": 2,\
          "cancelQuantity": 2\
        }\
      ],\
      "attributes": {\
        "isDonation": true,\
        "isGiftCard": false,\
        "isFinalSale": false,\
        "returnsLink": true\
      },\
      "exchangeItem": true,\
      "parentLineItemNumber": 12,\
      "pendingExchangeQuantity": 12,\
      "exchangeQuantity": 13,\
      "refundAmount": 12.4,\
      "lineOrderStatus": "VALID",\
      "infiniteConsent": true,\
      "notes": [\
        {\
          "timestamp": "2022-05-12T09:30:31.198Z",\
          "user": "62272e917b12209e68751d94",\
          "notes": "Extra information to be provided"\
        }\
      ],\
      "gifting": true\
    }\
  ],
  "shipInfo": [\
    {\
      "shipToId": "5349b4ddd2781d08c09890f4",\
      "taxCode": "FR01",\
      "locationNum": "123",\
      "pickup": [\
        {\
          "name": {\
            "first": "John",\
            "middle": "Middle",\
            "last": "Doe"\
          },\
          "email": "john123@gmail.com",\
          "phone": {\
            "number": "55555555555",\
            "type": "MOBILE"\
          },\
          "pickupType": "Primary"\
        }\
      ],\
      "shipToAddress": {\
        "address1": "First line of address",\
        "name": {\
          "first": "John",\
          "middle": "Middle",\
          "last": "Doe"\
        },\
        "email": "john123@gmail.com",\
        "phone": {\
          "number": "55555555555",\
          "type": "MOBILE"\
        },\
        "address2": "123 Parking Lot",\
        "address3": "Third line of address",\
        "address4": "Fourth line of address",\
        "city": "Beaumont",\
        "state": "TX",\
        "country": "USA",\
        "postalCode": "77705",\
        "type": "residence",\
        "latitude": 35.294952,\
        "longitude": 32.294952\
      },\
      "taxDetail": [\
        {\
          "type": "tax",\
          "value": 34.56\
        }\
      ],\
      "shipMethod": "Express Delivery",\
      "shipToType": "SHIP_TO_ADDRESS",\
      "estimatedShipDate": "2022-05-12T09:30:31.198Z",\
      "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",\
      "shipToPrice": 20,\
      "shipToDiscount": 12.6,\
      "shipToTaxTotal": 12.6,\
      "shipmentInstructions": "User instructions",\
      "attributes": {\
        "isOpenBox": false,\
        "isOTPDElivery": true\
      }\
    }\
  ],
  "version": 123,
  "orderId": "5349b4ddd2781d08c09890f4",
  "orderDate": "2022-05-12T09:30:31.198Z",
  "cancellationDate": "2022-05-12T09:30:31.198Z",
  "allocationDate": "2022-05-12T09:30:31.198Z",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "type": "WEB",
  "subType": "International",
  "processName": "CANCEL",
  "employeeId": "43278",
  "retail": {
    "locationNum": 123,
    "cashierId": "C-123",
    "registerId": "113",
    "transactionId": "R123-431-1133-2129"
  },
  "orderSubTotal": 123.45,
  "originalSubTotal": 113.45,
  "orderDiscount": 1.23,
  "originalDiscounts": 1.45,
  "feeTotal": 12.34,
  "originalFeeTotal": 12.34,
  "taxTotal": 12.34,
  "appeasementTotal": 12.34,
  "originalTaxTotal": 12.34,
  "returnTotal": 12.34,
  "cancelTotal": 12.34,
  "invoiceTotal": 12.34,
  "orderTotal": 146.9,
  "originalOrderTotal": 146.9,
  "currency": "USD",
  "statusDescription": "Order Created",
  "attributes": {
    "type": "String/Number/JSON",
    "purchaseOrder": "String",
    "salesRepId": "String",
    "approve": "String",
    "fraudCheckSessionId": "aee6d1face0e4d55948d1e30b6240048",
    "fraudCheckStatus": "UPDATED",
    "fraudCheckTransId": "0R12TQ46",
    "fraudScore": "31"
  },
  "fees": [\
    {\
      "type": "shipping",\
      "value": 34.56,\
      "invoiceValue": 34.56\
    }\
  ],
  "appeasements": [\
    {\
      "appeasementCounter": 1,\
      "reasonCode": "Incorrect item",\
      "subReasonCode": "Late shipping",\
      "value": 34.56,\
      "invoiceValue": 34.56,\
      "payments": [\
        {\
          "paymentCounter": 1,\
          "refundAmount": 40\
        }\
      ]\
    }\
  ],
  "discounts": [\
    {\
      "quantity": 2,\
      "amount": 2.4,\
      "unit": "AMOUNT_OFF",\
      "value": 2,\
      "promoId": "HNY2022",\
      "promoCode": "HNY2022",\
      "promoTitle": "Happy New Year",\
      "type": "promotion",\
      "invoiceQuantity": 2,\
      "returnQuantity": 2,\
      "cancelQuantity": 2\
    }\
  ],
  "customer": {
    "name": {
      "first": "John",
      "middle": "Middle",
      "last": "Doe"
    },
    "email": "john@fabric.inc",
    "phone": {
      "number": "55555555555",
      "type": "MOBILE"
    },
    "userId": "62272e917b12209e68751d94",
    "accountId": "62272e917b12209e68751d94",
    "employeeId": "62272e917b12209e68751d94",
    "company": "fabric"
  },
  "payments": [\
    {\
      "paymentCounter": 1,\
      "paymentDate": "2022-01-27T16:15:58-05:00",\
      "billToId": "62272e917b12209e68751d94",\
      "paymentIdentifier": {\
        "cardIdentifier": "3456",\
        "expirationYear": "2029",\
        "expirationMonth": "2029",\
        "paymentId": "62272e917b12209e68751d94",\
        "fabricPaymentReference": "test"\
      },\
      "paymentProvider": "stripe",\
      "paymentToken": {\
        "token": "pi_34tr6787rt",\
        "paymentType": "VISA"\
      },\
      "paymentMethod": "CREDIT_CARD",\
      "authAmount": 123.2,\
      "chargedAmount": 60,\
      "refundAmount": 40,\
      "currency": "USD",\
      "conversion": 1,\
      "paymentStatus": "OK",\
      "partialCapture": "false",\
      "finalCapture": "false",\
      "paymentLog": "payment response list",\
      "billToAddress": {\
        "address1": "First line of address",\
        "name": {\
          "first": "John",\
          "middle": "Middle",\
          "last": "Doe"\
        },\
        "email": "john123@gmail.com",\
        "phone": {\
          "number": "55555555555",\
          "type": "MOBILE"\
        },\
        "address2": "123 Parking Lot",\
        "address3": "Third line of address",\
        "address4": "Fourth line of address",\
        "city": "Beaumont",\
        "state": "TX",\
        "country": "USA",\
        "postalCode": "77705",\
        "type": "residence",\
        "latitude": 35.294952,\
        "longitude": 32.294952\
      },\
      "attributes": {\
        "expirationMonth": 12\
      }\
    }\
  ],
  "auditLogs": [\
    {\
      "auditId": "62272e917b12209e68751d94",\
      "auditType": "<string>",\
      "employeeId": "62272e917b12209e68751d94",\
      "auditTimestamp": "2022-05-12T09:24:54.804Z",\
      "source": "POS",\
      "reasonCode": "POS",\
      "subReasonCode": "POS",\
      "policyCode": "POS",\
      "note": "Note",\
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "lineItemNumber": 1,\
      "sku": "F5F",\
      "quantity": 1,\
      "amount": 2.4,\
      "paymentToken": {\
        "token": "pi_34tr6787rt",\
        "paymentType": "VISA"\
      },\
      "success": true,\
      "paymentResponse": {},\
      "updatedFields": [\
        {\
          "fieldName": "UOM",\
          "fieldOriginalValue": "PK"\
        }\
      ],\
      "attributes": {}\
    }\
  ],
  "notes": [\
    {\
      "timestamp": "2022-05-12T09:30:31.198Z",\
      "user": "62272e917b12209e68751d94",\
      "notes": "Extra information to be provided"\
    }\
  ],
  "orderReleaseTimestamp": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Bad Request"
}
{
  "message": "Order Already Exists"
}
{
  "message": "Internal Server Error"
}

POST

/

order

/

Try it

Create an order

cURL

import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/"

response = requests.post(url, json=payload, headers=headers)

print(response.text)

fetch('https://prod01.oms.fabric.inc/api/v2/order/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ``` require 'uri' require 'net/http' url = URI("https://prod01.oms.fabric.inc/api/v2/order/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true response = http.request(request) puts response.read_body ``` 200 400 404 500 ``` { "message": "Bad Request" } ``` ``` { "message": "Order Already Exists" } ``` ``` { "message": "Internal Server Error" } ``` #### Authorizations [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#authorization-authorization) Authorization string header required Bearer authentication header of the form `Bearer `, where `` is your auth token. #### Headers [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#parameter-x-site-context) x-site-context string required The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source. Example: `"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"` #### Body application/json Order object [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-order-number) orderNumber string required Unique order number to be provided by merchant Example: `"309019176"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-channel-id) channelId string required Sales channel ID Example: `"12"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-status-code) statusCode string required Order status code Example: `"ORDER_CREATED"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-items) items object\[\] required Array of items for which order is processed Required array length: `1 - 2147483647` elements Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-ship-info) shipInfo object\[\] required Required array length: `1 - 2147483647` elements Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-order-date) orderDate string Actual order creation date when the order was created for the first time. Example: `"2022-05-12T09:30:31.198Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-cart-id) cartId string ID of the cart for which order is created Example: `"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-type) type enum Platform of order creation, for example, website, mobile application, point of sale, and so on. Available options: `WEB`, `CSC`, `MOBILE_APP`, `POS` Example: `"WEB"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-sub-type) subType enum Operating system of the platform mentioned in the `type` field. Available options: `IOS`, `Android`, `International` Example: `"International"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-employee-id) employeeId string ID of the employee who created the order or who helped creating the order. Example: `"43278"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-retail) retail object Order retail object for reatil transactions. For non-retail transactions, only location number is provided. Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-order-sub-total) orderSubTotal number Base price of the ordered items before discounts. It does not include tax amount. Example: `123.45` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-order-discount) orderDiscount number Discounted amount Example: `1.23` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-fee-total) feeTotal number Order value after discount. Discount value is subtracted from order sub total. Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-tax-total) taxTotal number Total tax amount applicable on the order subtotal value. Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-order-total) orderTotal number Total order value after calculating discount and tax values. Example: `146.9` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-currency) currency string Currecy code used for order amount Example: `"USD"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-status-description) statusDescription string Order status description Example: `"Order created"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-attributes) attributes object Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-fees) fees object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-discounts) discounts object\[\] Array of discount objects Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-customer) customer object Order customer model Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-payments) payments object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#body-notes) notes object\[\] Notes section to be used for CSR only Showchild attributes #### Response 200 application/json Order Created Order response body [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-number) orderNumber string required Unique order number Example: `"309019176"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-channel-id) channelId string required Sales channel ID Example: `"12"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-status-code) statusCode string required Example: `"ORDER_CREATED"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-items) items object\[\] required Required array length: `1 - 2147483647` elements Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-ship-info) shipInfo object\[\] required Required array length: `1 - 2147483647` elements Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-version) version integer Number of updates happened to the order. Order-update refers to replacement, appeasement added, address change or any other order related update to the particular order. [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-id) orderId string Auto generated ID once the order created successfully Example: `"5349b4ddd2781d08c09890f4"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-date) orderDate string Actual order creation date Example: `"2022-05-12T09:30:31.198Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-cancellation-date) cancellationDate string Order cancellation date if any Example: `"2022-05-12T09:30:31.198Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-allocation-date) allocationDate string Order allocation date after order is created Example: `"2022-05-12T09:30:31.198Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-cart-id) cartId string ID of the cart where order is placed Example: `"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-type) type enum Platfrom using which order is created Available options: `WEB`, `CSC`, `MOBILE_APP`, `POS` Example: `"WEB"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-sub-type) subType enum Operating system of the platfom as mentioned in the `type` field. If you want to configure any custom valuefor this field, contact fabric. Available options: `IOS`, `Android`, `International` Example: `"International"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-process-name) processName string Order process name Example: `"CANCEL"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-employee-id) employeeId string Employee ID used when an employee places an order on behave of the customer. Example: `"43278"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-retail) retail object Order retail object for reatil transactions. For non-retail transactions, only location number is provided. Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-sub-total) orderSubTotal number Order value after calculating discounts and any applicable fees Example: `123.45` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-original-sub-total) originalSubTotal number Original order total value Example: `113.45` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-discount) orderDiscount number Final discount value on order amount Example: `1.23` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-original-discounts) originalDiscounts number Original discount on order value Example: `1.45` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-fee-total) feeTotal number Total fees, if any, applicable on order amount Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-original-fee-total) originalFeeTotal number Original fees appliable on shipping of items Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-tax-total) taxTotal number Total tax amount appliable on shipping of items Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-appeasement-total) appeasementTotal number Appeasement amount, if any, processed on the order Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-original-tax-total) originalTaxTotal number Original tax amount on order during fist time order creation Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-return-total) returnTotal number Return amount incase of order return Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-cancel-total) cancelTotal number Cancel amount incase of order cancellation Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-invoice-total) invoiceTotal number Invoice value on order Example: `12.34` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-total) orderTotal number Total order amount after calculating fees, discounts, retrurn and cancellation if any Example: `146.9` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-original-order-total) originalOrderTotal number Order amount during first time order creation after calculating all fees, taxes, and discounts Example: `146.9` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-currency) currency string Example: `"USD"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-status-description) statusDescription string Example: `"Order Created"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-attributes) attributes object Showchild attributes Example: ``` { "type": "String/Number/JSON", "purchaseOrder": "String", "salesRepId": "String", "approve": "String", "fraudCheckSessionId": "aee6d1face0e4d55948d1e30b6240048", "fraudCheckStatus": "UPDATED", "fraudCheckTransId": "0R12TQ46", "fraudScore": "31" } ``` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-fees) fees object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-appeasements) appeasements object\[\] Array of appeasements, if any Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-discounts) discounts object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-customer) customer object Order customer model Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-payments) payments object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-audit-logs) auditLogs object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-notes) notes object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-order-release-timestamp) orderReleaseTimestamp string Order dispatched date and time [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-created-at) createdAt string Date and time when the original order is modified for the first time, for example for return, cancellation or replacement [​](https://developer.fabric.inc/v2/api-reference/orders-v2/order/create-an-order#response-updated-at) updatedAt string Date and time when the exisiting order is updated Was this page helpful? YesNo [Overview](https://developer.fabric.inc/v2/api-reference/orders-v2/order/overview) [Get an order](https://developer.fabric.inc/v2/api-reference/orders-v2/order/get-an-order) Ctrl+I Assistant Responses are generated using AI and may contain mistakes.